using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AjanseProject
{
    public partial class frmsabtegheymat : Form
    {
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataSet ds = new DataSet();
        public frmsabtegheymat()
        {
            InitializeComponent();
        }

        private void label3_Click(object sender, EventArgs e)
        {

        }

        private void textBox4_TextChanged(object sender, EventArgs e)
        {

        }

        private void frmsabtegheymat_Load(object sender, EventArgs e)
        {
            con.ConnectionString = "Data Source=" + Environment.MachineName + ";Initial Catalog=ajans;Integrated Security=True";
            con.Open();
            cmd.Connection = con;
            textBox1.Select();

        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {

            try
            {
                if (textBox1.Text == "" & textBox2.Text == "")
                {
                    MessageBox.Show("لطفا فیلدهای ستاره دار را تکمیل کنید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    cmd.CommandText = "insert into gheymat (code,maghsad,beEzayeharsaat,beEzayeharkilometr,gheymat,asasegheymat) values (" + Convert.ToInt32(textBox1.Text) + " ,N'" + textBox2.Text + "',N'" +Convert.ToDecimal( textBox3.Text) + "',N'" + Convert.ToDecimal( textBox4.Text )+ "',N'" +Convert.ToDecimal( textBox5.Text )+ "',N'" + textBox6.Text + "')";
                    cmd.ExecuteNonQuery();
                    MessageBox.Show("عملیات با موفقیت ثبت شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    textBox1.Text = "";
                    textBox2.Text = "";
                    textBox3.Text = "";
                    textBox4.Text = "";
                    textBox5.Text = "";
                    textBox6.Text = "";
                }
            }
            catch
            {
                MessageBox.Show("اشکال در ذخیره سازی در بانک اطلاعاتی یا تکرار در کد وارد شده", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void opt1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void opt1_Click(object sender, EventArgs e)
        {
            if (opt1.Checked == true)
            {
                textBox6.Text = opt1.Text;
            }


        }

        private void opt2_Click(object sender, EventArgs e)
        {
            
            if (opt2.Checked == true)
            {
                textBox6.Text = opt2.Text;
            }
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {

        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            DialogResult dr;
            dr = MessageBox.Show("آیا مایل به خروج از قسمت ثبت قیمت ها هستید ؟", "خروج", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
            if (dr == DialogResult.OK)
            {

                this.Close();
            }

        }

        private void toolStripTextBox2_Click(object sender, EventArgs e)
        {

        }

        private void textBox8_DoubleClick(object sender, EventArgs e)
        {
            textBox66.Text = "";
            textBox8.Text = "";

        }

        private void textBox66_DoubleClick(object sender, EventArgs e)
        {
            textBox66.Text = "";
            textBox8.Text = "";

        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            if (textBox8.Text == "" & textBox66.Text == "" | textBox8.Text != "" & textBox66.Text != "")
            {
                ds.Clear();
                cmd.CommandText = "select * from gheymat";
                cmd.ExecuteNonQuery();
                da.SelectCommand = cmd;
                da.Fill(ds, "gheymat");
                dataGridView1.DataSource = ds;
                dataGridView1.DataMember = "gheymat";
                dataGridView1.Columns["code"].HeaderText = "کد مقصد";
                dataGridView1.Columns["maghsad"].HeaderText = "مقصد";
                dataGridView1.Columns["asasegheymat"].HeaderText = "اساس قیمت";
                dataGridView1.Columns["beezayeharkilometr"].HeaderText = "به ازای هر کیلومتر";
                dataGridView1.Columns["beezayeharsaat"].HeaderText = "به ازای هر ساعت";
                dataGridView1.Columns["gheymat"].HeaderText = "قیمت ";
            }
            else
            {
                if (textBox8.Text == "")
                {
                    ds.Clear();
                    cmd.CommandText = "select * from gheymat where code =" + Convert.ToInt32(textBox66.Text);
                    cmd.ExecuteNonQuery();
                    da.SelectCommand = cmd;
                    da.Fill(ds, "gheymat");
                    dataGridView1.DataSource = ds;
                    dataGridView1.DataMember = "gheymat";
                    dataGridView1.Columns["code"].HeaderText = "کد مقصد";
                    dataGridView1.Columns["maghsad"].HeaderText = "مقصد";
                    dataGridView1.Columns["asasegheymat"].HeaderText = "اساس قیمت";
                    dataGridView1.Columns["beezayeharkilometr"].HeaderText = "به ازای هر کیلومتر";
                    dataGridView1.Columns["beezayeharsaat"].HeaderText = "به ازای هر ساعت";
                    dataGridView1.Columns["gheymat"].HeaderText = "قیمت ";
                    

                }
                else
                {
                    ds.Clear();
                    cmd.CommandText = "select * from gheymat where maghsad like N'%" + textBox8.Text + "%'";
                    cmd.ExecuteNonQuery();
                    da.SelectCommand = cmd;
                    da.Fill(ds, "gheymat");
                    dataGridView1.DataSource = ds;
                    dataGridView1.DataMember = "gheymat";
                    dataGridView1.Columns["code"].HeaderText = "کد مقصد";
                    dataGridView1.Columns["maghsad"].HeaderText = "مقصد";
                    dataGridView1.Columns["asasegheymat"].HeaderText = "اساس قیمت";
                    dataGridView1.Columns["beezayeharkilometr"].HeaderText = "به ازای هر کیلومتر";
                    dataGridView1.Columns["beezayeharsaat"].HeaderText = "به ازای هر ساعت";
                    dataGridView1.Columns["gheymat"].HeaderText = "قیمت ";
                    
                }

            }
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            try
            {
                textBox1.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["code"].ToString();
                textBox2.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["maghsad"].ToString();
                textBox4.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["beezayeharkilometr"].ToString();
                textBox3.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["beezayeharsaat"].ToString();
                textBox5.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["gheymat"].ToString();
                textBox6.Text = ds.Tables["gheymat"].Rows[e.RowIndex]["asasegheymat"].ToString();
                
            }
            catch
            {
                MessageBox.Show("هیچ رکوردی برای نمایش وجود ندارد", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            try
            {
                if (textBox66.Text == "" & textBox8.Text == "" | textBox8.Text != "" & textBox66.Text != "")
                {
                    MessageBox.Show("لطفا یکی از فیلدهای مورد نیاز برای حذف کردن اطلاعات مقصد را وارد نمائید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    textBox8.Select();
                }
                else
                {
                    DialogResult dr;
                    dr = MessageBox.Show("آیا اطلاعات مقصد را حذف می کنید؟", "هشدار", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);

                    if (dr == DialogResult.OK)
                    {
                        if (textBox8.Text == "")
                        {
                            cmd.CommandText = "delete from gheymat where code =" + Convert.ToInt32(textBox66.Text);
                            cmd.ExecuteNonQuery();
                            

                            MessageBox.Show("حذف اطلاعات مقصد و سرویس با موفقیت انجام شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                            ds.Reset();
                            textBox1.Text = "";
                            textBox2.Text = "";
                            textBox3.Text = "";
                            textBox4.Text = "";
                            textBox5.Text = "";
                            textBox6.Text = "";
                        }
                        else
                        {
                            cmd.CommandText = "delete from gheymat where maghsad like N'%" + textBox8.Text + "%'";
                            cmd.ExecuteNonQuery();
                            MessageBox.Show("حذف اطلاعات مقصد و سرویس با موفقیت انجام شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                            ds.Reset();
                            textBox1.Text = "";
                            textBox2.Text = "";
                            textBox3.Text = "";
                            textBox4.Text = "";
                            textBox5.Text = "";
                            textBox6.Text = "";
                        }
                    }
                }
            }
            catch
            {
                MessageBox.Show("مشکل در برقراری اتصال با پایگاه داده", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void toolStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {

        }
    }
}
